Ir al contenido

Actualizar registro estructurado de un complemento activo desde sistema externo

PUT
/api/v1/modules/{moduleKey}/{entityKey}/records/{recordId}
curl --request PUT \
--url https://api.matiasimpulso.com/api/v1/modules/example/example/records/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "code": "example", "title": "example", "status": "example", "amount": 1, "currency": "example", "parentRecordId": 1, "validFrom": "example", "validUntil": "example", "data": {} }'
moduleKey
required
string
entityKey
required
string
recordId
required
number
Media type application/json
object
code
string
nullable <= 64 characters
title
required
string
<= 255 characters
status
string
<= 40 characters
amount
number
nullable
currency
string
<= 10 characters
parentRecordId
number
nullable >= 1
validFrom
string
nullable
validUntil
string
nullable
data
required
object
key
additional properties
any

Example generated

{
"code": "example",
"title": "example",
"status": "example",
"amount": 1,
"currency": "example",
"parentRecordId": 1,
"validFrom": "example",
"validUntil": "example",
"data": {}
}
Media type application/json
object

Example generated

{}